<?php

namespace Drupal\simple_toc_block\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configuration form for Simple TOC Block.
 */
class SimpleTOCBlockSettingsForm extends ConfigFormBase {


  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'simple_toc_block_settings';
  }  


  /**
   * {@inheritdoc}
   */
  public function getEditableConfigNames() {
    return [
      'simple_toc_block.settings',
    ];
  }  


  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = \Drupal::config('simple_toc_block.settings');

    \Drupal::messenger()->addMessage(\Drupal\Core\Render\Markup::create($this->t('There are currently no settings available for this module.')), \Drupal::messenger()::TYPE_WARNING);

    return parent::buildForm($form, $form_state);
  }  


  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    /*
    \Drupal::configFactory()->getEditable('simple_toc_block.settings')
      ->set('test-setting', $form_state->getValue('test_setting'))
      ->save();
    */

    parent::submitForm($form, $form_state);
  }  


  /**
   * {@inheritdoc}
   */
  public function ShowConfigurationPage() {
    return [
      '#type' => 'markup',
      '#markup' => $this->t('<h1>Simple TOC Block Configuration</h1>'),
    ];
  }

}
